🚀 Visual Navigation for Link Fields! See our changelog for details.
curl --request POST \
--url https://app.teable.ai/api/admin/setting/test-llm \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"type":"openai","name":"string","apiKey":"string","baseUrl":"http://example.com","models":"","modelKey":"string","ability":["image"],"testImageGeneration":true,"testImageToImage":true}'{
"success": true,
"response": "<string>",
"ability": {
"image": true,
"pdf": true,
"webSearch": true,
"toolCall": true,
"reasoning": true,
"imageGeneration": true
}
}Test LLM provider configuration
curl --request POST \
--url https://app.teable.ai/api/admin/setting/test-llm \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"type":"openai","name":"string","apiKey":"string","baseUrl":"http://example.com","models":"","modelKey":"string","ability":["image"],"testImageGeneration":true,"testImageToImage":true}'{
"success": true,
"response": "<string>",
"ability": {
"image": true,
"pdf": true,
"webSearch": true,
"toolCall": true,
"reasoning": true,
"imageGeneration": true
}
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
openai, anthropic, google, azure, cohere, mistral, deepseek, qwen, zhipu, lingyiwanwu, xai, togetherai, ollama, amazonBedrock, openRouter, openaiCompatible, aiGateway image, pdf, webSearch, toolCall, reasoning, imageGeneration Was this page helpful?